
from chemsh       import *
from chemsh.utils import testutils

butanol = Fragment(coords='butanol.cjson')

obj = CP2K(frag=butanol, functional='lda',basis='DZVP-MOLOPT-GTH',
grid_cutoff='250',maxiter_outer=60,
mixing_method='pulay_mixing',precision_all='1.0e-08', 
)

sp = SP(theory=obj, gradients='True')
          
sp.run()

ecalc = sp.result.energy[0]

print(f'Optimised Energy:{ecalc}')

eref =  -44.564591915
testutils.validate(ecalc, eref)
